exercise_04_35: exercise_04_35.o | .gitignore
	g++ $^ -o $@ 

exercise_04_35.ii: exercise_04_35.cpp
	g++ -E $^ -o $@

exercise_04_35.s: exercise_04_35.ii
	g++ -S $^ -o $@

exercise_04_35.o: exercise_04_35.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04_35" > $@

clean:
	rm -rf *.ii *.s *.o *.out exercise_04_35 .gitignore 

test: exercise_04_35 
	@./exercise_04_35 < test.in > test.out
	@diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_35.ii exercise_04_35.s
.SECONDARY: exercise_04_35.ii exercise_04_35.s

